/*
	Interface to registry or config file for saving / loading Gem parameters
	
	MRU list for Model / Data / Movie / (Workspace)
*/

CString RegistryLoadString( const char * pchKey );
bool RegistrySaveString( const char * pchKey, const char * pchValue );

class CMRUItem : public CItem {	// setup as class for future enhancements ? 
	public: 
		CString m_cName;		// Text for menu item 
		CMRUItem( const char * pch=NULL );
	};
	
class CMRUList { 
	public : 
		CString m_cKey;
		CItemArray m_aItems;	// array of CMRUItem
		int m_iID;				// Menu ID for 1st menu item
		HMENU m_hMnu;			// Handle to menu containing list 
		int m_iPos;				// Position on menu of first MRU item
		int m_iLen;				// Number of menu items in MRU list 
		
		CMRUList( const char * pchKey, int iID, HMENU hMnu, int iPos, int iLen );
		CMRUList();
		void Set( const char * pchKey, int iID, HMENU hMnu, int iLen, int iPos=-1 );
		
		//-- Update the specified menu - remove all after iStart, then insert list
		void UpdateMenu( );	
		//-- Load m_aFiles ( from registry )
		void LoadList( );
		//-- Save m_aFiles ( to registry )
		bool SaveList( );
		//-- Add a new item
		void AddItem( const char * pchItem );
	};
	
